> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyceum.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Gpu Selection

> Start GPU selection execution.

Creates a parent execution record and publishes the job to RabbitMQ
for Pythia to process. Pythia will create sub-jobs on different GPUs
and aggregate the results.



## OpenAPI

````yaml /api-reference/openapi.json post /api/v2/external/execution/gpu_selection/start
openapi: 3.1.0
info:
  title: Lyceum Cloud API
  version: 0.1.0
servers:
  - url: https://api.lyceum.technology
    description: Production
security:
  - bearerAuth: []
paths:
  /api/v2/external/execution/gpu_selection/start:
    post:
      tags:
        - GPU Selection
      summary: Start Gpu Selection
      description: |-
        Start GPU selection execution.

        Creates a parent execution record and publishes the job to RabbitMQ
        for Pythia to process. Pythia will create sub-jobs on different GPUs
        and aggregate the results.
      operationId: start_gpu_selection_api_v2_external_execution_gpu_selection_start_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GPUSelectionRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GPUSelectionStartResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GPUSelectionRequest:
      properties:
        code:
          type: string
          title: Code
        nbcode:
          type: integer
          title: Nbcode
          default: 0
        timeout:
          type: integer
          maximum: 600
          minimum: 1
          title: Timeout
          default: 60
        requirements_content:
          anyOf:
            - type: string
            - type: 'null'
          title: Requirements Content
        prior_imports:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Prior Imports
        kernel_state:
          anyOf:
            - type: string
            - type: 'null'
          title: Kernel State
        import_files:
          anyOf:
            - type: string
            - type: 'null'
          title: Import Files
        file_name:
          anyOf:
            - type: string
            - type: 'null'
          title: File Name
      type: object
      required:
        - code
      title: GPUSelectionRequest
      description: Request model for GPU selection execution.
    GPUSelectionStartResponse:
      properties:
        execution_id:
          type: string
          title: Execution Id
        status:
          type: string
          title: Status
        message:
          type: string
          title: Message
      type: object
      required:
        - execution_id
        - status
        - message
      title: GPUSelectionStartResponse
      description: Response model for GPU selection start.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Pass an API key (prefixed `lk_`) or a JWT access token as a bearer
        token. Generate API keys in the dashboard at
        https://dashboard.lyceum.technology/api-keys.

````